<?php
session_start();
try {
    include '../config/Database.php';
    include '../controladores/ControladorUsuario.php';
    
    if(!isset($_POST['email']) || !isset($_POST['senha'])){
        echo json_encode(array("resultado" => false,"resposta" => "Erro de paramêtros"));
        exit();
    }
    
    $email = filter_input(INPUT_POST,'email');
    $password = filter_input(INPUT_POST,'senha');
    $controlador = new ControladorUsuario();

    if ($controlador->checkAcess($email,$password)) {
        $_SESSION['email'] = $email;
        $_SESSION['senha'] = $password;
        echo json_encode(array("resultado" => true,"resposta" => "Acesso concedido"));
    } else {
        echo json_encode(array("resultado" => false,"resposta" => "Email ou Senha incorreta!"));
    }
    
    $connnection = null;
} catch (PDOException $e) {
    echo json_encode(array("resultado" => false,"resposta" => 'Erro: <code class="error">' . $e->getMessage() . '</code><br>'));
    die();
}


