<!DOCTYPE html>
<?PHP
session_start();

if (!isset($_SESSION['emailc']) || !isset($_SESSION['senhac']) || !isset($_SESSION['ehAluno']) || !isset($_SESSION['nickname']) || !isset($_SESSION['firstname']) || !isset($_SESSION['lastname'])) {
    header("Location: login.php");
}

$email = $_SESSION['emailc'];
$senha = $_SESSION['senhac'];
$ehAluno = $_SESSION['ehAluno'];
$nickname = $_SESSION['nickname'];
$firstname = $_SESSION['firstname'];
$lastname = $_SESSION['lastname'];
?>
<html lang="pt-BR">
    <head>
        <meta charset="UTF-8" />
        <title>Confirmar Cadastro</title>
        <link rel="shortcut icon" href="images/cadilag.svg">
        <link rel="stylesheet" href="css/yui.yahooapis.com_pure_0.6.0_pure-min.css"/>
        <link href="css/emailconfirmstyle.css" rel="stylesheet"/>
        <link href="css/sweetalert.css" rel="stylesheet"/>
        <script src="js/sweetalert.min.js"></script>
        <script src="js/jquery.min.js"></script>
        <script src="js/jquery-ui.min.js"></script>
    </head>
    <body>
        <div class="overlayer-bg"></div>
        <div class="overlayer">
            <div class="details">
                <div class="title">
                    <p>Confirmar Cadastro</p>
                </div>
                <p style="margin-top: 20px;"><label>Email</label></p>
                <p><?= $email ?></p>
                <p style="margin-top: 20px;"><label>Nível de Acesso</label></p>
                <p><?= $ehAluno == 'true' ? 'Aluno' : 'Professor' ?></p>
                <p style="margin-top: 20px;"><label>Apelido</label></p>
                <p><?= $nickname != '' ? $nickname : 'Não definido' ?></p>
                <p style="margin-top: 20px;"><label>Primerio Nome</label></p>
                <p><?= $firstname != '' ? $firstname : 'Não definido' ?></p>
                <p style="margin-top: 20px;"><label>Último Nome</label></p>
                <p><?= $lastname != '' ? $lastname : 'Não definido' ?></p>
                <p><button class="pure-button confirm" onclick="confirmData()">Confirmar</button></p>
            </div>
        </div>
        <div class="loading">
            <p>Carregando<br>...</p>
        </div>
        <div class="formconfirm">
            <div class="confirmlabel">
                <p>Insira o código enviado para o email<br><?= $email ?></p>
            </div>
            <form class="pure-form" id="submit">
                <input name="code" id="code"/>
                <button>Continuar</button>
            </form>
        </div>
        <script>

            $(".formconfirm").hide();
            $("form").submit(function(e){
                submit(e);
            });

            confirmData = function () {

                $(".overlayer").animate({'height': '10px'}, 1000, 'easeOutCubic');
                $(".overlayer-bg").animate({'height': '0px'}, 1000, 'easeOutCubic');
                $(".details").animate({'top': '-100px', 'opacity': '0'}, 1000, 'easeOutCubic', function () {
                    $(".details").hide();
                    $(".overlayer-bg").remove();
                    var postData = {"email": '<?= $email ?>'};
                    $.post('./ajax/sendemailconfirm.php', postData, function () {
                        showCodeConfirm();
                    });

                });

            };

            showCodeConfirm = function (c) {
                code = c;
                $(".loading").fadeOut(400, function () {
                    $(".loading").remove();
                    $(".formconfirm").fadeIn(400);
                });
            };

            submit = function (event) {
                event.preventDefault();
                var code = $("#code").val();
                var dataPost = {
                    'code': code
                };

                $.post('./ajax/registernewuser.php', dataPost, function (data) {
                    if(data.startsWith('true')){
                        swal({title:'Cadastrado',text:'Você já pode utilizar sua conta'},function(){window.location='./index.php';});
                    }
                    else{
                        swal({title:'Opss ...',text:data,html:true,type:'error'});
                    }
                });
            };


        </script>
    </body>

</html>
