<?php

session_start();

if(!isset($_SESSION['email']) || 
    !isset($_SESSION['senha'])) {
    echo json_encode(array("success" => false,"reply" => "Sessão Fechada, tente fazer login novamente"));
    exit();
}

include '../../../config/Database.php';
include '../controladores/PDOCadilag.php';
include '../controladores/CodePDO.php';
include '../controladores/ControladorCodigos.php';

$id = (int) (filter_input(INPUT_POST, 'id', FILTER_VALIDATE_INT));
if($id){
    $email = $_SESSION['email'];
    $password = $_SESSION['senha'];

    $controladorEp = new controladores\ControladorCodigos();

    if (!$controladorEp->checkAcess($email, $password)) {
        echo json_encode(array("success" => false, "reply" => "Erro de Sessão"));
        exit();
    }
    
    $resultSQL = $controladorEp->deleteCode($id);
    echo json_encode($resultSQL);
} else {
    echo json_encode(array("success" => false,"reply" => "Falha ao Recuperar o ID"));
}
