<?php

session_start();

if (!isset($_SESSION['email']) ||
        !isset($_SESSION['senha'])) {
    echo json_encode(array("success" => false, "reply" => "Erro de Parametrização"));
}

include '../../../config/Database.php';
include '../controladores/PDOCadilag.php';
include '../controladores/CodePDO.php';
include '../controladores/ControladorCodigos.php';

$id = (int) (filter_input(INPUT_POST, 'idCode', FILTER_VALIDATE_INT));
if ($id) {
    $email = $_SESSION['email'];
    $password = $_SESSION['senha'];

    $controladorCode = new controladores\ControladorCodigos();

    if (!$controladorCode->checkAcess($email, $password)) {
        echo json_encode(array("success" => false, "reply" => "Erro de Sessão"));
        exit();
    }

    $result = $controladorCode->getCodeDetail($id);
    echo json_encode($result, JSON_PRETTY_PRINT);
} else {
    echo json_encode(array("success" => false, "reply" => "Falha de Filtro"));
}