<?php

session_start();

if (!isset($_SESSION['email']) ||
        !isset($_SESSION['senha']) ||
        !isset($_POST['lista'])) {
    echo json_encode(array("success" => false, "reply" => "Erro de Interno, falta de parâmetros"));
}

include '../../../config/Database.php';
include '../controladores/PDOCadilag.php';
include '../controladores/EpPDO.php';
include '../controladores/ControladorEp.php';

$rotulo = filter_input(INPUT_POST, 'rotulo', FILTER_SANITIZE_STRING);
$lista = $_POST['lista'];
$id = (int) (filter_input(INPUT_POST, 'id', FILTER_VALIDATE_INT));

if ($rotulo && $id) {
    $email = $_SESSION['email'];
    $password = $_SESSION['senha'];

    $controladorEp = new controladores\ControladorEp();

    if (!$controladorEp->checkAcess($email, $password)) {
        echo json_encode(array("success" => false, "reply" => "Usuário e Senha Incorretos,Tente realizar o login novamente"));
        exit();
    }
    $resultSQL = $controladorEp->updateEP($rotulo, $id, count($lista),json_encode($lista, JSON_UNESCAPED_UNICODE));
    echo json_encode($resultSQL);
    
} else {
    echo json_encode(array("success" => false, "reply" => "Falha de Filtro, Não utilize Tags"));
}
