<?php

namespace controladores;
class File{
    
    private $path;
    private $file;
    
    public function setPATH($path){
        $this->path = $path;
        if (!file_exists($path)) {
            mkdir($path, 0777, true);
        }
    }
   
    public function setFile($file){
        $this->file = $file;
    }
    
    public function append($txt){
        file_put_contents($this->path.$this->file,$txt, FILE_APPEND | LOCK_EX);
    }
    
    public function write($txt){
        $myfile = fopen($this->path.$this->file, "w") or die("Unable to open file!");
        fwrite($myfile, $txt);
    }
    
    public function delete($pathfile){
        unlink($pathfile);
    }

    public function generateRandomFilePath($ext){
        $rand = -1;

        for($i=0;$i<10;$i++) {
            $rand = rand(10000000000,99999999999);
            if (!file_exists($this->path . $rand.$ext)) {
                return $rand.$ext;
            }
        }
        return false;
    }
        
    public function getText($path){
        if (file_exists($path)) {
            return file_get_contents($path);
        } else {
            return false;
        }
    }
    
}
