<?php

namespace controladores;

use controladores\PDOCadilag;
use PDO;

class ReportPDO extends PDOCadilag {
    
    public function insertStmt($idEstrutura,$text, $history) {
        $stmt = $this->prepare(
                        'INSERT INTO report(text,history,id_estrutura) VALUES (:text,:history,:idEstrutura)');
        $stmt->bindParam(':text', $text, PDO::PARAM_STR);
        $stmt->bindParam(':history', $history, PDO::PARAM_STR);
        $stmt->bindParam(':idEstrutura', $idEstrutura, PDO::PARAM_INT);
        return $stmt;
    }

}
