<div class="Separator"></div>
<div class="head-line"><font style="font-size:18px;">FUNÇÃO</font><br>Insere(INFO)</div>
<div class="Separator"></div>
<div class="code">
    <p id="l0" title="Declarando cursores e novo elemento">anterior,leitor,novo : EstruturaLista;</p>
    <p id="l1" title="Inicializando o cursor no primeiro elemento">leitor := Lista;</p>
    <p id="l2" title="Alocando novo elemento">novo := alocar();</p>
    <p id="l3" title="Atribuindo o valor ao novo elemento">novo.info := INFO;</p>
    <br>
    <p id="l4"  class="handlerTab" title="Percorrendo elementos da lista para buscar a posição correta">Enquanto leitor != nulo e leitor.info < INFO faça</p>
    <div class="TabCode">
        <p id="l5">INICIO</p>
        <p id="l6" title="Cursor 'anterior' aponta para o atual elemento da leitura">&nbsp; anterior := leitor;</p>
        <p id="l7" title="Cursor 'leitor' aponta para o próximo elemento da leitura">&nbsp; leitor := leitor.prox;</p>
        <p id="l8">FIM</p>
    </div>
    <br>
    <p id="l9" class="handlerTab" title="Inserindo numa posição diferente da última">Se leitor != nulo então</p>
    <div class="TabCode">
        <p id="l10">INICIO</p>
        <p id="l11" class="handlerTab" title="Inserindo na primeira posição">&nbsp; Se anterior != nulo então</p>
        <div class="TabCode">
            <p id="l12">INICIO</p>
            <p id="l13">&nbsp; Lista.anterior := novo;</p>
            <p id="l14">&nbsp; novo.proximo := Lista;</p>
            <p id="l15" title="Novo primeiro elemento da lista">&nbsp; Lista := novo;</p>
            <p id="l16">FIM</p>
        </div>
        <p id="l17" class="handlerTab" title="Inserindo em posição intermediária">&nbsp; Senão</p>
        <div class="TabCode">
            <p id="l18">INICIO</p>
            <p id="l19">&nbsp; novo.proximo := leitor</p>
            <p id="l20">&nbsp; novo.anterior := anterior;</p>
            <p id="l21">&nbsp; anterior.proximo := novo;</p>
            <p id="l22">&nbsp; leitor.anterior := novo;</p>
            <p id="l23">FIM</p>
        </div>
        <p id="l24">FIM</p>
    </div>
    <p id="l25" class="handlerTab">Senão</p>
    <div class="TabCode">
        <p id="l26">INICIO</p>
        <p id="l27" class="handlerTab" title="Inserindo o primeiro elemento">&nbsp; Se anterior == nulo então</p>
        <div class="TabCode">
            <p id="l28" title="Novo primeiro elemento da lista">&nbsp;&nbsp;Lista := novo;</p>
        </div>
        <p id="l29" class="handlerTab" title="Inserindo na última posição">&nbsp; Senão</p>
        <div class="TabCode">
            <p id="l30">INICIO</p>
            <p id="l31">&nbsp; novo.anterior := anterior;</p>
            <p id="l32">&nbsp; anterior.proximo := novo;</p>
            <p id="l33">FIM</p>
        </div>
        <p id="l34">FIM</p>
    </div>
</div>