<?php

include '../../config/Database.php';
include '../../controladores/ControladorUsuario.php';

define('STRUCTVIEW', true);
$email = $_SESSION['email'];

$controlador = new ControladorUsuario();
$controlador->setUser($email);

if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    header("Location: ../../login.php");
}

$imageurl = $controlador->getImage();

$isAluno = $controlador->ehAluno();
if ($isAluno) {
    include '../../controladores/Aluno.php';
    include '../../controladores/Turma.php';
    $controladorAluno = $controlador->getAluno();
    $turma = $controladorAluno->getTurma();
    if ($turma === null) {
        header('Location: ../../profile.php');
    }
    $per = $turma->obterPermissoes($idestrutura);
    $add = $per['add'];
    $rem = $per['rem'];
    $search = $per['search'];
} else {
    include '../../controladores/Professor.php';
    $controladorProfessor = $controlador->getProfessor();

    if (!$controladorProfessor->possuiAcesso()) {
        header('Location: ../../profile.php');
    }
    $add = true;
    $rem = true;
    $search = true;
}

if ($imageurl != null && $imageurl !== '') {
    $imageurl = '../../' . $imageurl . '?=' . rand();
} else {
    $imageurl = '../../images/userdefault.png';
}