<?PHP
    if (! defined('CLASSVIEW')) {
        exit('No direct script access allowed');
    }
?>
<?PHP if($turma==null): ?>
        <?PHP if($solicitacao): ?>
        <div class="solicitacaoDetail">
            <div class="title"><p>Detelhes da Solicitação</p></div>
            <div class="details">
                 <label>Instituicão</label><p><?= $solicitacao['instituicao_nome']?> (<?=$solicitacao['instituicao_uf']?>)</p>
                 <label>Curso</label><p><?= $solicitacao['curso_nome'] ?> (<?= $solicitacao['curso_sigla']?>)</p>
                 <label>Disciplina</label><p><?= $solicitacao['disciplina_nome'] ?></p>
                 <p><?= $solicitacao['semestre'] ?>° Semestre</p>
                 <label>Ano</label><p><?= $solicitacao['ano']?>-<?=$solicitacao['semestre']?>° Semestre</p>
                 <div class="Separator"></div>
            </div>
            <a href="./postCancelarSolicitacao.php"><p>Cancelar Solicitação</p></a>
            <button class="pure-button pure-button-primary" onclick="window.location='./profile.php';">Voltar ao menu</button>
            </div>
        <div class="dicas">
            <p>A solicitação pode levar algum tempo para que o professor aceite.</p>
            <p>Quando a solicitação for aceita, você será notificado.</p>
            <p>Ao cancelar a solicitação, você podera realizar uma nova.</p>
            <p><a href="./class.php">Atualizar Página</a></p>
        </div>
        <?PHP endif; ?>
    <?PHP else: ?>
        <div class="sidebar">
            <div class="title"><p>Menu</p></div>
            <button onclick="window.location='./alunos.php';">Alunos</button>
            <button onclick="window.location='./topicosturma.php';">Tópicos Vinculados</button>
            <details class='titleclass' open="">
                <summary><p>Detalhes</p></summary>
                <div class="infos open">
                    <p><?= $indexdetail['total_alunos'] ?> Aluno(s)</p>
                    <p><?= $indexdetail['total_atividades'] ?> Atividade(s)</p>
                    <div class="Separator"></div>
                    <p><?= $turma->getSemestre() ?> ° Semestre de <?= $turma->getAno() ?></p>
                    <label>Disciplina</label><p><?= $indexdetail['disciplina_nome'] ?></p>
                    <label>Curso</label><p><?= $indexdetail['curso_nome'] ?>(<?= $indexdetail['curso_sigla'] ?>)</p>
                    <label>Instituição</label><p><?= $indexdetail['instituicao_nome']?> (<?= $indexdetail['instituicao_uf']?>)</p>
                    <label>Professor</label><p><?= $professortitle ?></p><p><?= $indexdetail['professor_email'] ?></p>
                </div>
            </details>
            <button onclick="unbindclass();">Desvincular-se</button>
        </div>
        <div class="content">
            <div class="status">
                <div class="title"><p>Status</p></div><p><?= $turma->getStatus()?></p>
            </div>
            <div class="atividades" id="openatv">
                <form class="pure-form" method="GET" action="./class.php">
                    <select id="order" name="order">
                        <option value="revisao">Última Revisão</option>
                        <option value="entrega">Data de entrega</option>                                
                    </select>
                    <label style="float: right">Ordernar por:</label>
                </form>
                <div class="title"><p>Atividades Abertas</p></div>
                <?PHP if(!empty($atividadesabertas)): ?> 
                    <?PHP foreach ($atividadesabertas as $i=>$atividade): try{ ?>
                        <div class="atividade" id="<?= $i ?>">
                            <div class="title"><p><?= $atividade->getTitulo() ?></p></div>
                            <div class="arquivos"><p><?= $turma->getTotalArquivo($atividade->getId(),$isAluno,$controlador->getUserId()) ?></p></div>
                            <div class="data"><b>até </b><?= $atividade->getDataLimiteFormatada() ?></div>
                            <div class="infos">
                                <?PHP if(strlen($atividade->getTexto())>=200): ?>
                                    <p><?= substr($atividade->getTexto(),0,200)?> (...)</p>
                                    <a href="atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>"><p>Continuar Lendo ...</p></a>
                                <?PHP else: ?>
                                     <p><?= $atividade->getTexto() ?></p>
                                <?PHP endif; ?>
                                <div class="details">
                                    <button class="showatv" onclick="window.location='atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>';">Visualizar</button>
                                    <p><b>Última revisão:</b> <?= $atividade->getDataRevisaoFormatada() ?> ás <?=$atividade->getHoraRevisao() ?></p>
                                </div>
                            </div>
                        </div>
                    <?PHP }catch(Exception $e){ echo $e; } endforeach; ?>
                <?PHP else: ?>
                    <p>Vazio</p>
                <?PHP endif; ?>
            </div>
            <div class="topicosarea">
                <div class="title"><p>Tópicos Vinculados</p></div>
                <div class="topicos">
                <?PHP
                    if(!empty($topicospersonal)):
                        foreach($topicospersonal as $topico):
                            try{
                            $totalcomments = $controlador->getTotalRespostaTopico($topico->getId());
                        ?>
                            <div class="topico" id="<?= $topico->getId() ?>">
                                <div class="title"><p><?= $topico->getTituloCortado(30) ?></p></div>
                                <div class="comment"><p><?= $totalcomments ?></p></div>                                 
                                <div class="time"><p><?= $topico->getDataFormatada() ?> ás <?= $topico->getHoraMinimizada() ?></p></div>
                                <?PHP if($topico->getParticular()): ?>
                                    <div class="locked"><p></p></div>
                                <?PHP endif; ?>
                            </div>
                        <?PHP }catch(Exception $e){ echo $e; } endforeach; if($controlador->getTotalTopicosDoUsuario()>$maxpersonal): ?>
                            <a href="./topicosturma.php"><div class="more"><p> Listar todos ... </p></div></a>
                        <?PHP endif; ?>
                    <?PHP else: ?>
                        <p>Vazio</p>
                    <?PHP endif; ?>
                </div>
            </div>
            <div class="atividades" id="closeatv">
                <form class="pure-form" method="GET" action="./class.php">
                    <select id="order" name="order">
                        <option value="revisao">Última Revisão</option>
                        <option value="entrega">Data de entrega</option>                                
                    </select>
                    <label style="float: right">Ordernar por:</label>
                </form>
                <div class="title"><p>Atividades Fechadas</p></div>
                <?PHP if(!empty($atividades)): ?> 
                    <?PHP foreach ($atividades as $i=>$atividade): try{ ?>
                        <div class="atividade" id="<?= $i ?>">
                            <div class="title"><p><?= $atividade->getTitulo() ?></p></div>
                            <div class="arquivos"><p><?= $turma->getTotalArquivo($atividade->getId(),$isAluno,$controlador->getUserId()) ?></p></div>
                            <div class="data"><b>até </b><?= $atividade->getDataLimiteFormatada() ?></div>
                            <div class="infos">
                                <?PHP if(strlen($atividade->getTexto())>=200): ?>
                                    <p><?= substr($atividade->getTexto(),0,200)?> (...)</p>
                                    <a href="atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>"><p>Continuar Lendo ...</p></a>
                                <?PHP else: ?>
                                     <p><?= $atividade->getTexto() ?></p>
                                <?PHP endif; ?>
                                <div class="details">
                                    <button class="showatv" onclick="window.location='atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>';">Visualizar</button>
                                    <p><b>Última revisão:</b> <?= $atividade->getDataRevisaoFormatada() ?><b> ás </b><?=$atividade->getHoraRevisao() ?></p>
                                </div>
                            </div>
                        </div>
                    <?PHP  }catch(Exception $e){ echo $e; } endforeach; ?>
                <?PHP else: ?>
                    <p>Vazio</p>
                <?PHP endif; ?>
            </div>
        </div>

        <div class="sidecontent">
            <div class="links">
                <div class="title"><p>Links</p></div>
                <?PHP if(!empty($links)): ?>
                    <?PHP foreach ($links as $link): try{ ?>
                        <a href="<?= $link->getUrl() ?>"><div title="<?= $link->getTitulo() ?>" class="link"><p><?= $link->getTitulo() ?></p></div></a>
                    <?PHP }catch(Exception $e){ echo $e; } endforeach; ?>
                <?PHP else: ?>
                    <p>Vazio</p>
                <?PHP endif; ?>
            </div>
            <div class="materiais">
                <div class="title"><p>Materiais Didáticos</p></div>
                <?PHP if(!empty($materiais)): ?>
                <?PHP foreach($materiais as $material): try{ ?>
                    <div class="material" onclick="window.location='./materialdidaticoview.php?id=<?= $material->getId() ?>&index=<?= $index ?>'"><p><?= $material->getTitulo() ?></p></div>
                <?PHP  }catch(Exception $e){ echo $e; } endforeach; else:?>
                    <p>Vazio</p>
                <?PHP endif;?>
            </div>
            <div class="alunos">
            <div class="title"><p>Alunos</p></div>
                <?PHP if(!empty($alunos)): ?>
                    <?PHP foreach ($alunos as $aluno): try{ ?>
                        <div class="userimage" style="background-image:url(<?= $aluno['image'] ?>?=<?= rand() ?>);" title="<?= $controlador->getTitleNameBy($aluno['nome'],$aluno['sobrenome'],$aluno['apelido'],$aluno['email']) ?>"></div>
                    <?PHP }catch(Exception $e){ echo $e; } endforeach; ?>
                <?PHP else: ?>
                    <p>Vazio</p>
                <?PHP endif; ?>
            </div>
        </div>

    <?PHP endif; ?>