<?PHP
if (!defined('CLASSVIEW')) {
    exit('No direct script access allowed');
}
?>
<?PHP if (!empty($turmas)): ?>
    <div class="sidebar">
        <div class="title"><p>Gerenciar</p></div>
        <a href="./novaatividade.php?index=<?= $index ?>">
            <button class="buttonW newactivy-img">Nova atividade</button>
        </a>
        <a href='./solicitacoes.php?index=<?= $index ?>'>
            <div class="notify buttonW">
                <?PHP if ($indexdetail['total_solicitacoes'] !== 0): ?>
                    <div class="log"><p>+<?= $indexdetail['total_solicitacoes'] ?></p></div>
                <?PHP endif; ?>
                <button class="buttonW">Solicitações</button>
            </div>
        </a>
        <a href='./alunos.php?index=<?= $index ?>'><button class="buttonW">Alunos</button></a>
        <a href="./materiaisdidaticosedit.php?index=<?= $index ?>"><button class="buttonW">Material Didático</button></a>
        <a href="./topicosturma.php?index=<?= $index ?>"><button class="buttonW">Tópicos Vinculados</button></a>

        <details class='titleclass' open="">
            <summary><p>Detalhes</p></summary>
            <div class="infos open">
                <p><?= $indexdetail['total_alunos'] ?> Aluno(s)</p>
                <p><?= $indexdetail['total_atividades'] ?> Atividade(s)</p>
                <div class="Separator"></div>
                <p><?= $turma->getSemestre() ?> ° Semestre de <?= $turma->getAno() ?></p>
                <label>Disciplina</label><p><?= $indexdetail['disciplina_nome'] ?></p>
                <label>Curso</label><p><?= $indexdetail['curso_nome'] ?>(<?= $indexdetail['curso_sigla'] ?>)</p>
                <label>Instituição</label><p><?= $indexdetail['instituicao_nome'] ?> (<?= $indexdetail['instituicao_uf'] ?>)</p>
                <label>Professor</label><p><?= $professortitle ?></p><p><?= $indexdetail['professor_email'] ?></p>
            </div>
        </details>
    </div>
    <div class="content">
        <div class="status">
            <div class="title"><div class="buttonedit" onclick="window.location = './classedit.php?index=<?= $index ?>& highlight=status';">Editar</div><p>Status</p></div><p><?= $turma->getStatus() ?></p>
        </div>
        <div class="atividades" id="openatv">
            <form class="pure-form" method="GET" action="./class.php">
                <input name="index" type="hidden" value="<?= $index ?>"/>                        
                <select id="order" name="order">
                    <option value="revisao">Última Revisão</option>
                    <option value="entrega">Data de entrega</option>                                
                </select>
                <label style="float: right">Ordernar por:</label>
            </form>
            <div class="title"><p>Atividades Abertas</p></div>
            <?PHP if (!empty($atividadesabertas)): ?> 
                <?PHP foreach ($atividadesabertas as $i => $atividade): try { ?>

                        <div class="atividade" id="<?= $i ?>">
                            <div class="title"><p><?= $atividade->getTitulo() ?></p></div>
                            <div class="arquivos"><p><?= $turma->getTotalArquivo($atividade->getId(), $isAluno, $controlador->getUserId()) ?></p></div>
                            <div class="data"><b>até </b><?= $atividade->getDataLimiteFormatada() ?></div>
                            <div class="infos">
                                <?PHP if (strlen($atividade->getTexto()) >= 200): ?>
                                    <p><?= substr($atividade->getTexto(), 0, 200) ?> (...)</p>
                                    <p><a href="atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>">Continuar Lendo ...</a></p>
                                <?PHP else: ?>
                                    <p><?= $atividade->getTexto() ?></p>
                                <?PHP endif; ?>
                                <div class="details">
                                    <button class="showatv" onclick="window.location = 'atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>';">Visualizar</button>
                                    <button class="editatv" onclick="window.location = 'atividadeedit.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>';">Editar</button>
                                    <form action="postDeleteAtividade.php" method="POST">
                                        <input type="hidden" name="id" value="<?= $atividade->getId() ?>"/>
                                        <input type="hidden" name="index" value="<?= $index ?>"/>
                                        <button type="button" class="deleteatv" >Excluir</button>
                                    </form>
                                    <p><b>Última revisão:</b> <?= $atividade->getDataRevisaoFormatada() ?><b> ás </b><?= $atividade->getHoraRevisao() ?></p>
                                </div>
                            </div>
                        </div>
                        <?PHP
                    } catch (Exception $e) {
                        echo $e;
                    } endforeach;
                ?>
            <?PHP else: ?>
                <p>Vazio</p>
            <?PHP endif; ?>
        </div>
        <div class="topicosarea">
            <div class="title"><p>Tópicos Vinculados</p></div>
            <div class="topicos">
                <?PHP
                if (!empty($topicospersonal)):
                    foreach ($topicospersonal as $topico):
                        try {
                            $totalcomments = $controlador->getTotalRespostaTopico($topico->getId());
                            ?>
                            <div class="topico" id="<?= $topico->getId() ?>">
                                <div class="title"><p><?= $topico->getTituloCortado(30) ?></p></div>
                                <div class="comment"><p><?= $totalcomments ?></p></div>                                 
                                <div class="time"><p><?= $topico->getDataFormatada() ?> ás <?= $topico->getHoraMinimizada() ?></p></div>
                                <?PHP if ($topico->getParticular()): ?>
                                    <div class="locked"><p></p></div>
                                <?PHP endif; ?>
                            </div>
                            <?PHP
                        } catch (Exception $e) {
                            echo $e;
                        } endforeach;
                    if ($controlador->getTotalTopicosDoUsuario() > $maxpersonal):
                        ?>
                        <a href="./topicosturma.php?index=<?= $index ?>"><div class="more"><p> Listar todos ... </p></div></a>
                    <?PHP endif; ?>
                <?PHP else: ?>
                    <p>Vazio</p>
                <?PHP endif; ?>
            </div>
        </div>
        <div class="atividades" id="closeatv"> 
            <form class="pure-form" method="GET" action="./class.php">
                <input name="index" type="hidden" value="<?= $index ?>"/>                        
                <select id="order" name="order">
                    <option value="revisao">Última Revisão</option>
                    <option value="entrega">Data de entrega</option>                                
                </select>
                <label style="float: right">Ordernar por:</label>
            </form>
            <div class="title"><p>Atividades Fechadas</p></div>
            <?PHP if (!empty($atividades)): ?> 
                <?PHP foreach ($atividades as $i => $atividade): try { ?>
                        <div class="atividade" id="<?= $i ?>">
                            <div class="title"><p><?= $atividade->getTitulo() ?></p></div>
                            <div class="arquivos"><p><?= $turma->getTotalArquivo($atividade->getId(), $isAluno, $controlador->getUserId()) ?></p></div>
                            <div class="data"><b>até </b><?= $atividade->getDataLimiteFormatada() ?></div>
                            <div class="infos">
                                <?PHP if (strlen($atividade->getTexto()) >= 200): ?>
                                    <p><?= substr($atividade->getTexto(), 0, 200) ?> (...)</p>
                                    <p><a href="atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>">Continuar Lendo ...</a></p>
                                <?PHP else: ?>
                                    <p><?= $atividade->getTexto() ?></p>
                                <?PHP endif; ?>
                                <div class="details">
                                    <button class="showatv" onclick="window.location = 'atividadeview.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>';">Visualizar</button>
                                    <button class="editatv" onclick="window.location = 'atividadeedit.php?id=<?= $atividade->getId() ?>& index=<?= $index ?>';">Editar</button>
                                    <form action="postDeleteAtividade.php" method="POST">
                                        <input type="hidden" name="id" value="<?= $atividade->getId() ?>"/>
                                        <input type="hidden" name="index" value="<?= $index ?>"/>
                                        <button type="button" class="deleteatv">Excluir</button>
                                    </form>
                                    <p><b>Última revisão:</b> <?= $atividade->getDataRevisaoFormatada() ?><b> ás </b><?= $atividade->getHoraRevisao() ?></p>
                                </div>
                            </div>
                        </div>
                        <?PHP
                    } catch (Exception $e) {
                        echo $e;
                    } endforeach;
                ?>
            <?PHP else: ?>
                <p>Vazio</p>
            <?PHP endif; ?>
        </div>

    </div>

    <div class="sidecontent">
        <div class="links">
            <div class="buttonedit" onclick="window.location = './classedit.php?index=<?= $index ?>& highlight=link';"></div>
            <div class="title"><p>Links</p></div>
            <?PHP if (!empty($links)): ?>
                <?PHP foreach ($links as $link): try { ?>
                        <a href="<?= $link->getUrl() ?>"><div title="<?= $link->getTitulo() ?>" class="link"><p><?= $link->getTitulo() ?></p></div></a>
                        <?PHP
                    } catch (Exception $e) {
                        echo $e;
                    } endforeach;
                ?>
            <?PHP else: ?>
                <p><a href="./classedit.php?index=<?= $index ?>& highlight=link">Vazio ... Clique aqui para adicionar</a></p>
            <?PHP endif; ?>
        </div>
        <div class="materiais">
            <div class="buttonedit" onclick="window.location = './materiaisdidaticosedit.php';"></div>
            <div class="title"><p>Materiais Didáticos</p></div>
            <?PHP if (!empty($materiais)): ?>
                <?PHP foreach ($materiais as $material): try { ?>
                        <div class="material" onclick="window.location = './materialdidaticoview.php?id=<?= $material->getId() ?>&index=<?= $index ?>'"><p><?= $material->getTitulo() ?></p></div>
                        <?PHP
                    } catch (Exception $e) {
                        echo $e;
                    } endforeach;
            else:
                ?>
                <p><a href="./materiaisdidaticosedit.php">Vazio ... Clique aqui para adicionar</a></p>
            <?PHP endif; ?>
        </div>
        <div class="alunos">
            <div class="buttonedit" onclick="window.location = './alunos.php?index=<?= $index ?>';"></div>
            <div class="title"><p>Alunos</p></div>
            <?PHP if (!empty($alunos)): ?>
                <?PHP foreach ($alunos as $aluno): try { ?>
                        <div class="userimage" style="background-image:url(<?= $aluno['image'] ?>?=<?= rand() ?>);" title="<?= $controlador->getTitleNameBy($aluno['nome'], $aluno['sobrenome'], $aluno['apelido'], $aluno['email']) ?>"></div>
                        <?PHP
                    } catch (Exception $e) {
                        echo $e;
                    } endforeach;
                ?>
            <?PHP else: ?>
                <p>Vazio</p>
            <?PHP endif; ?>
        </div>

    </div>

<?PHP endif; ?>