<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'erro: sessão fechada';
    return;
}
include './config/Database.php';
include './controladores/ControladorUsuario.php';
include './controladores/Professor.php';
include './controladores/Turma.php';
$email = $_SESSION['email'];

$controlador = new ControladorUsuario();
if (!$controlador->setUser($email)) {
    echo 'erro: usuário não encontrado';
    return;
}

if (!$controlador->ehAluno()) {
    $controlador = $controlador->getProfessor();


    if (!isset($_POST['status']) || !isset($_POST['index'])) {
        echo 'erro: alguns dos parametros não encontrado';
        $a = $_POST['status'];
        $c = $_POST['index'];
        return;
    }

    $index = (int) $_POST['index'];
    $status = preg_replace("/<([a-z][a-z0-9]*)[^>]*?(\/?)>/i", '<$1$2>', strip_tags($_POST['status'], '<b><i><big><small><center><h1><h2><h3><h4><h5><h6>'));
    $turma = $controlador->getTurmaByIndex($index);

    if (!$turma->setStatus($status)) {
        echo 'erro no banco';
        return;
    }
    header('location: ./classedit.php?index=' . $index);
} else {
    echo 'erro: usuário não é um professor';
}
