<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'Erro: Sessão fechada!';
    return;
}
include '../config/Database.php';
include '../controladores/ControladorUsuario.php';
$email = $_SESSION['email'];

$controlador = new ControladorUsuario();
if (!$controlador->setUser($email)) {
    echo json_encode(array("resultado" => false, "resposta" => "Sessão aberta mas usuário não cadastrado!"));
    return;
}

if (isset($_POST['oldpassword']) && isset($_POST['newpassword'])) {
    $old = filter_input(INPUT_POST, 'oldpassword');
    $new = filter_input(INPUT_POST, 'newpassword');

    if ($controlador->checkAcess($email, $old)) {
        if ($_SESSION['senha'] != $old) {
            echo json_encode(array("resultado" => false, "resposta" => "Operação não permitida: 001"));
            exit();
        }
        if($controlador->changePassword($new)){
            $_SESSION['senha'] = $new;
            echo json_encode(array("resultado" => true, "resposta" => "Senha alterada"));
        } else {
            echo json_encode(array("resultado" => false, "resposta" => "Operação não permitida: 002"));
        }
    } else {
        echo json_encode(array("resultado" => false, "resposta" => "Senha atual incorreta"));
    }
} else {
    echo json_encode(array("resultado" => false, "resposta" => "Erro de Parâmetros"));
}