<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo json_encode(array("resultado" => true, "resposta" => "Sessão está fechada"));
    return;
}
include '../config/Database.php';
include '../controladores/ControladorUsuario.php';
$email = $_SESSION['email'];

$controlador = new ControladorUsuario();
if (!$controlador->setUser($email)) {
    echo json_encode(array("resultado" => true, "resposta" => "Usuário não encontrado"));
    return;
}

if (!isset($_POST['id'])) {
    echo 'Erro: Parametros faltando';
    echo json_encode(array("resultado" => false, "resposta" => "Paramêtro Faltando"));
}

$id = (int) (filter_input(INPUT_POST, 'id', FILTER_VALIDATE_INT));

if (!$controlador->deleteTopico($id)) {
    echo json_encode(array("resultado" => false, "resposta" => "Falha SQL"));
    return;
}

echo json_encode(array("resultado" => true));


