<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'Erro: Sessão fechada!';
    return;
}
include '../config/Database.php';
include '../controladores/ControladorUsuario.php';
$email = $_SESSION['email'];
$controlador = new ControladorUsuario();
if (!$controlador->setUser($email)) {
    echo '<p>Erro: Sessão aberta mas usuário não cadastrado!</p> <form action="./closesession.php"><button>Fechar Sessão</button></form>';
    return;
}

if (!isset($_POST['id']) || !isset($_POST['text'])) {
    echo 'Erro: Parametros faltando';
    $a = $_POST['id'];
    $b = $_POST['text'];
    return;
}

$id = (int) $_POST['id'];
$text = preg_replace("/<([a-z][a-z0-9]*)[^>]*?(\/?)>/i", '<$1$2>', strip_tags($_POST['text'], '<b><i><big><small><center><h1><h2><h3><h4><h5><h6>'));

if (!$controlador->updateResposta($id, $text)) {
    echo 'Falha SQL';
    return;
}

    
    