<?php

session_start();

if (!isset($_SESSION['email']) ||
        !isset($_SESSION['senha'])) {
    echo json_encode(array("success" => false, "reply" => "Erro de Parametrização"));
}

include '../../../config/Database.php';
include '../controladores/PDOCadilag.php';
include '../controladores/EpPDO.php';
include '../controladores/ControladorEp.php';

$id = filter_input(INPUT_POST, "idEp", FILTER_VALIDATE_INT);
if ($id) {
    $email = $_SESSION['email'];
    $password = $_SESSION['senha'];

    $controladorEp = new controladores\ControladorEp();

    if (!$controladorEp->checkAcess($email, $password)) {
        echo json_encode(array("success" => false, "reply" => "Erro de Sessão"));
        exit();
    }
    
    $result = $controladorEp->getJSON($id);
    if ($result['success']) {
        echo json_encode(array("lista" => json_decode($result['json']),'rotulo' => $result['rotulo'],"idEstrutura" => $result['idEstrutura'], "success" => true));
    } else {
        echo json_encode(array("reply" => "Arquivo não encontrado", "success" => false));
    }
} else {
    echo json_encode(array("success" => false, "reply" => "Falha de Filtro"));
}
    