<?php
    session_start();
    $idestrutura = 15;
    $nameestrutura = 'Hashing com Tratamento de Colisão';
    $name_struct = 'hash_com_tratamento.php';
    include '../LoadVar.php';
?>
<html lang="pt-BR">
    <head>
        <?PHP include './includes/ui/head.php'; ?>
        <script src='../../js/CadilagStructs/ControladoraCanvas.js' type='text/javascript'></script>
        <link href="../../css/CadilagStructs/hashStyle.css" rel="stylesheet"/>
    </head>
    <body id="bd">
        <div id="topbar">
            <ul class="cssmenu">
                <?PHP include './includes/ui/navbar.php';?>
                <li><p class="label mobile">Entrada: </p></li>
                <li>
                    <form onsubmit="event.preventDefault()" class="pure-form">
                        <input maxlength="3" class="p_integer" pattern="-?\d*" name="valor" id="valor"/>
                    </form>
                </li>
                <li><button title="Gerar entrada aleatória" type="button" class="random-btn" itemscope itemref="valor"></button></li>
                <?PHP include './includes/ui/FunctionsButtons.php';?>
            </ul>
            <?PHP include './includes/ui/UserMenu.php';?>
        </div>
        <div id="subtopbar">
            <ul>
                <li><p class="label">Tamanho do Vetor: </p></li>
                <li><form onsubmit="event.preventDefault()" class="pure-form"><input value="10" type="number" min="2" max="99" id="sizeArray"/></form></li>
                <li><button class="pure-button pure-button-primary" id="newStruct">Criar</button></li>
            </ul>
        </div>
        <?PHP include './includes/ui/CadilagApps.php';?>
        <script src="../../js/CadilagStructs/Estruturas/hash_sem_colisao.js"></script>

    </body>
</html>