<div class="Separator"></div>
<div class="head-line"><font style="font-size:18px;">FUNÇÃO</font><br>Remove(INFO)</div>
<div class="Separator"></div>
<div class="code">
    <p id="l0" title="Declarando variáveis para leitura">anterior,i : inteiro;</p>
    <p id="l1" title="Criando uma variável auxiliar">flag : Booliano;</p>
    <br>
    <p id="l2" title="Variável de leitura 'anterior' aponta para o vazio">anterior := -1;</p>
    <p id="l3" title="Variável de leitura aponta para o primeiro indice">i := primeiroIndice;</p>
    <p id="l4" title="Inicializando variável auxiliar">flag := Falso;</p>
    <br>
    <p id="l5" class="handlerTab" title="Se a lista não estiver vázia">Se primeiroIndice != -1 então</p>
    <div class="TabCode">
        <p id="l6">INICIO</p>
        <p id="l7" class="handlerTab" title="Se a lista possuir mais de um elemento">&nbsp; Se tamanho > 1 então</p>
        <div class="TabCode">
            <p id="l8">INICIO</p>
            <p id="l9" class="handlerTab" title="Percorrendo a lista, enquanto a variável auxiliar for falsa">&nbsp; Enquanto i != -1 e flag == Falso então</p>
            <div class="TabCode">
                <p id="l10">INICIO</p>
                <p id="l11" class="handlerTab" title="Se o valor do elemento a ser percorrido for igual ao pesquisado">&nbsp; Se INFO == lista[i].info então</p>
                <div class="TabCode">
                    <p id="l12">INICIO</p>
                    <p id="l13" title="Declarando variável auxiliar">&nbsp; novoIndice : inteiro;</p>
                    <p id="l14" title="Variável flag é marcada com verdadeiro para encerramento da pesquisa">&nbsp; flag := Verdadeiro;</p>
                    <p id="l15" class="handlerTab" title="Se for o primeiro elemento da lista">&nbsp; Se anterior == -1 então</p>
                    <div class="TabCode">
                        <p id="l16">INICIO</p>
                        <p id="l17" title="novoIndice aponta para variavel de leitura">&nbsp; novoIndice := i;</p>
                        <p id="l18" title="primeiro indice agora é o próximo do elemento atual">&nbsp; primeiroIndice := lista[i].proximo; </p>
                        <p id="l19">FIM</p>
                    </div>
                    <p id="l20" class="handlerTab" title="Se não for o primeiro elemento da lista">&nbsp; Senão</p>
                    <div class="TabCode">
                        <p id="l21">INICIO</p>
                        <p id="l22" title="novoIndice aponta para o próximo do elemento atual">&nbsp; novoIndice := lista[anterior].proximo;</p>
                        <p id="l23" title="elemento anterior aponta para ao próximo do elemento atual">&nbsp; lista[anterior].proximo := lista[i].proximo;</p>
                        <p id="l24">FIM</p>
                    </div>
                    <p id="l25" title="Próximo do elemento atual aponta para o próximo indice disponível">&nbsp; lista[i].proximo := indice;</p>
                    <p id="l26" title="Próximo índice disponível aponta a variavel 'novoIndice'">&nbsp; indice := novoIndice;</p>
                    <p id="l27">FIM</p>
                </div>
                <p id="l28" title="Anterior aponta para o elemento atual a ser percorrido">&nbsp; anterior := i;</p>
                <p id="l29" title="Variável de leitura aponta para o próximo elemento da lista">&nbsp; i := lista[i].proximo;</p>
                <p id="l30">FIM</p>
            </div>
            <p id="l31">FIM</p>
        </div>
        <p id="l32" class="handlerTab" title="Se a lista possuir somente um elemento">&nbsp; Senão</p>
        <div class="TabCode">
            <p id="l33">INICIO</p>
            <p id="l34">&nbsp; flag := Verdadeiro;</p>
            <p id="l35">&nbsp; primeiroIndice := -1;</p>
            <p id="l36">&nbsp; lista[i].proximo := Indice;</p>
            <p id="l37">&nbsp; Indice := i;</p>
            <p id="l38">FIM</p>
        </div>
        <p id="l39">FIM</p>
    </div>
</div>