<?php
if (!defined('STRUCTVIEW')) {
    exit('No direct script access allowed');
}
if (isset($_GET['list']) && $_GET['list'] == "tree"):
    ?>
    <div id="content">
        <table>
            <tr>
                <td style="color:white;line-height: 50px">
                    <a href="./index.php?list=tree"><button class="visualType selected" id="tree" title="Visualizar por Árvore"></button></a>
                    <a href="./index.php?list=card"><button title="Visualizar por Card" class="visualType" id="card"></button></a>
                    <!--<input id="search" value="" placeholder="Pesquisar Estrutura"/>-->
                </td>
            </tr>
            <tr>
                <td>
                    <ul class="content-tree">
                        <li>
                            <details>
                                <summary>Lista</summary>
                                <div>
                                    <ul>
                                        <li>
                                            <details>
                                                <summary>Sem Ordenação</summary>
                                                <ul>
                                                    <li><a href="./lista_desord_simples.php">Simples</a></li>
                                                    <li><a href="./lista_desord_dupla.php">Dupla</a></li>
                                                    <li><a href="./lista_cruzada.php">Cruzada</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                        <li>
                                            <details>
                                                <summary>Com Ordenação</summary>
                                                <ul>
                                                    <li><a href="./lista_ord_simples.php">Simples</a></li>
                                                    <li><a href="./lista_ord_dupla.php">Dupla</a></li>
                                                    <li><a href="./lista_ord_estatica.php">Estática</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                    </ul>
                                </div>
                            </details>
                        </li>
                        <li>
                            <details>
                                <summary>Fila</summary>
                                <div class="content-tree">
                                    <ul>
                                        <li>
                                            <details>
                                                <summary>Estáticas</summary>
                                                <ul>
                                                    <li><a href="./fila_estatica.php">Simples</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                        <li>
                                            <details>
                                                <summary>Dinâmicas</summary>
                                                <ul>
                                                    <li><a href="./fila_normal.php">Simples</a></li>
                                                    <li><a href="./fila_priori.php">Com prioridade</a></li>
                                                    <li><a href="./fila_circ.php">Circular</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                    </ul>
                                </div>
                            </details>
                        </li>
                        <li>
                            <details>
                                <summary>Pilha</summary>
                                <div class="content-tree">
                                    <ul>
                                        <li>
                                            <details>
                                                <summary>Estáticas</summary>
                                                <ul>
                                                    <li><a href="./pilha_estatica.php">Simples</a></li>
                                                    <li><a href="./pilha_multipla.php">Múltipla</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                        <li>
                                            <details>
                                                <summary>Dinâmicas</summary>
                                                <ul>
                                                    <li><a href="./pilha_normal.php">Simples</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                    </ul>
                                </div>
                            </details>
                        </li>
                        <li>
                            <details>
                                <summary>Hashing</summary>
                                <div class="content-tree"></div>
                                <ul>
                                    <li><a href="./hash_coliscao.php">Sem Tratamento</a></li>
                                    <li><a href="./hash_sem_colisao.php">Com Tratamento</a></li>
                                </ul>
                            </details>
                        </li>
                        <li>
                            <details>
                                <summary>Árvore</summary>
                                <div class="content-tree">
                                    <ul>
                                        <li>
                                            <details>
                                                <summary>Não Balanceadas</summary>
                                                <ul>
                                                    <li><a href="./arv_binaria.php">Binária</a></li>
                                                    <li><a href="./arv_trie.php">Trie</a></li>
                                                    <li><a href="./arv_patricia.php">Patricia</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                        <li>
                                            <details>
                                                <summary>Balanceadas</summary>
                                                <ul>
                                                    <li><a href="./arv_avl.php">AVL</a></li>
                                                    <li><a href="./arv_b.php">B</a></li>
                                                    <li><a href="./arv_b_plus.php">B+</a></li>
                                                    <li><a href="./arv_rn.php">Rubro-Negra</a></li>
                                                </ul>
                                            </details>
                                        </li>
                                    </ul>
                                </div>
                            </details>
                        </li>
                    </ul>
                </td>
            </tr>
        </table>
    </div>
    <script>

    </script>
    <?PHP
else:
    ?>
    <div id="content">
        <table>
            <tr>
                <td style="color:white;line-height: 50px">
                    <a href="./index.php?list=tree"><button class="visualType" id="tree" title="Visualizar por Árvore"></button></a>
                    <a href="./index.php?list=card"><button title="Visualizar por Card" class="visualType selected" id="card"></button></a>
                    <!--<input id="search" value="" placeholder="Pesquisar Estrutura"/>-->
                </td>
            </tr>
            <tr>
                <td>
                    <table>
                        <tr>
                            <td>
                                <div class="title">LISTA SEM ORDENAÇÃO<big> > </big></div>
                                <div class="card listnonordened-bg">
                                    <ul>
                                        <li><a href="./lista_desord_simples.php">SIMPES</a></li>
                                        <li><a href="./lista_desord_dupla.php">DUPLA</a></li>
                                        <li><a href="./lista_cruzada.php">CRUZADA</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td>
                                <div class="title">FILAS ESTÁTICAS<big> > </big></div>
                                <div class="card queuestatic-bg">
                                    <ul>
                                        <li><a href="./fila_estatica.php">SIMPLES</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td>
                                <div class="title">PILHAS ESTÁTICAS<big> > </big></div>
                                <div class="card stackstatic-bg">
                                    <ul>
                                        <li><a href="pilha_estatica.php">SIMPES</a></li>
                                        <li><a href="pilha_multipla.php">MÚLTIPLA</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <div class="title">LISTA COM ORDENAÇÃO<big> > </big></div>
                                <div class="card list-bg">
                                    <ul>
                                        <li><a href="./lista_ord_simples.php">SIMPES</a></li>
                                        <li><a href="./lista_ord_dupla.php">DUPLA</a></li>
                                        <li><a href="./lista_ord_estatica.php">ESTÁTICA</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td>                    
                                <div class="title">FILAS DINÂMICAS<big> > </big></div>
                                <div class="card queue-bg">
                                    <ul>
                                        <li><a href="./fila_normal.php">NORMAL</a></li>
                                        <li><a href="./fila_priori.php">COM PRIORIDADE</a></li>
                                        <li><a href="./fila_circ.php">CIRCULAR</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td>
                                <div class="title">PILHAS DINÂMICAS<big> > </big></div>
                                <div class="card stack-bg">
                                    <ul>
                                        <li><a href="./pilha_normal.php">SIMPES</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>     
                        <tr>
                            <td> 
                                <div class="title">ÁRVORES NÃO BALANCEADAS<big> > </big></div>
                                <div class="card treeunbalanced-bg">
                                    <ul>
                                        <li><a href="./arv_binaria.php">BINÁRIA</a></li>
                                        <li><a href="./arv_trie.php">TRIE</a></li>
                                        <li><a href="./arv_patricia.php">PATRICIA</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td> 
                                <div class="title">ÁRVORES BALANCEADA<big> > </big></div>
                                <div class="card treebalanced-bg">
                                    <ul>
                                        <li><a href="./arv_avl.php">AVL</a></li>
                                        <li><a href="./arv_b">B</a></li>
                                        <li><a href="./arv_b_plus.php">B+</a></li>
                                        <li><a href="./arv_rn.php">RUBRO-NEGRA</a></li>
                                    </ul>
                                </div>
                            </td>
                            <td>
                                <div class="title">HASHING<big> > </big></div>
                                <div class="card hash-bg">
                                    <ul>
                                        <li><a href="./hash_colisao.php">SEM TRATAMENTO</a></li>
                                        <li><a href="./hash_sem_colisao.php">COM TRATAMENTO</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div> 
    <script>

    </script>
<?PHP endif; ?>
