<?php
if (!defined('STRUCTVIEW')) {
    exit('No direct script access allowed');
}
$thispage = basename($_SERVER['PHP_SELF']);
$pages = array(
    array('title' => 'Selecionar estrutura', 'href' => 'index.php', 'icon' => '../../images/hierarchical-structure-blue.svg'),
    array('title' => 'Entradas Programadas', 'href' => 'entradaProgramadas.php', 'icon' => '../../images/multiple-shots-blue.svg'),
    array('title' => 'Códigos', 'href' => 'codigos.php', 'icon' => '../../images/coding-blue.svg'),
        );
?>
<table id="menu">
    <tr><th>MENU</th></tr>
    <?PHP foreach ($pages as $page):
        ?>
        <tr><td><a href="./<?= $page['href'] ?>"><button class="<?= ($thispage === $page['href'] ? "selected" : "") ?>" style="background-image: url(<?= $page['icon'] ?>)"><?= $page['title'] ?></button></a></td></tr>
    <?PHP endforeach; ?>
</table>