jsPlumb.bind("ready", function () {
    Cadilag.init();
});

function ListaEncadeada() {
    // cria um nó
    ListaEncadeada.criaNo = function () {
        return {valor: null, dados: null, prox: null
        };
    };

    this.ini = null;

    this.insere = function (valor, dado) {
        if (this.ini === null) {
            this.ini = ListaEncadeada.criaNo();
        } else {
            var novo = ListaEncadeada.criaNo();
            novo.prox = this.ini;
            this.ini = novo;
        }
        Element.bind(this.ini,dado.id);

        this.ini.dados = dado;

        this.ini.valor = valor;
    };
    
    this.remove = function (dado) {
        var no = this.ini;
        var ant = null;
        while (no != null && no.valor != dado) {
            ant = no;
            no = no.prox;
        }

        if (no) {
            if (no == this.ini)
                this.ini = this.ini.prox;
            else {
                ant.prox = no.prox;
            }
        }
    };

}

(function () {
    var collection = new ListaEncadeada();
    var 
    setInitial = function(elId,key){
        $("span.initial").remove();
        if(key) {
            $("#"+elId).append("<span class='initial'>Lista</span>");
        }
    },
    setFinal = function(elId,key){
        $("span.final").remove();
        if(key) {
            $("#"+elId).append("<span class='final'>null</span>");
        }
    },
    deslocarApartir = function(raiz,offsetX,speed) {
        while (raiz !== null) {
            deslocar(raiz.dados, offsetX, speed);
            raiz = raiz.prox;
        }
    },
    deslocar = function (dados, offset, tempo) {
        Plumb.moveTo(dados.id, parseInt(dados.d.style.left) + offset, parseInt(dados.d.style.top), tempo);
    },
    animationAdd = function (elId) {
        UI.lock();

        var speed = getSpeed();
        var raiz = collection.ini.prox;
        var highlighter = new HighlighterAlgoritmo(VK.INSERCAO);
        var lastelement = (raiz !== null ? raiz.dados.id : false);

        deslocarApartir(raiz,125,1000*speed);
        
        highlighter.lines(0, 2, 10);
        setTimeout(function () {
            Plumb.moveTo(elId, 75, screen.height / 2.5, 1000 * getSpeed());
            highlighter.line(3, 0);
        }, 1000 * speed);

        setTimeout(function () {
            highlighter.line(4, 0);
            setTimeout(function () {
                if(!lastelement)
                    setFinal(elId,true);

                setInitial(elId,true);
                connectDisc();
                highlighter.clear(0);
                UI.unlock();
                window.Eprogramada.nextQueue();
            }, (1000 * speed));

        }, 1500 * speed);

    },
    animationSearch = function (elem) {
        UI.lock();
        var i = 0;
        var speed = getSpeed();
        var highlighter = new HighlighterAlgoritmo(VK.BUSCA);
        highlighter.lines(0, 1, 10);
        var temp = collection.ini;
        var elemobj = $("#" + elem.id);
        while(temp!==null) {
            highlighter.line(2, 2000 * (i + 1) + 500);
            var pos = {left: parseInt(temp.dados.d.style.left), top: parseInt(temp.dados.d.style.top) - 65};
            Plumb.moveTo(elem.id,pos.left,pos.top,2000*speed);
            if (elem.valor === temp.valor) {
                highlighter.line(4, 2000 * (i + 1) + 1000);
                highlighter.line(5, 2000 * (i + 1) + 2000);
                break;
            }
            highlighter.lineRed(4, 2000 * (i + 1) + 1000);
            highlighter.line(6, 2000 * (i + 1) + 1500);
            i++;
            temp = temp.prox;
        }

        if (temp===null) {
            if(pos!==undefined)
                Plumb.moveTo(elem.id,pos.left + 125,pos.top,2000*speed);
            highlighter.lineRed(2, 2000 * (i + 1) + 2000);
            highlighter.line(8, 2000 * (i + 1) + 3000);
        }
        setTimeout(function () {
            if (temp!==null) {
                var id = temp.dados.id;
                var obj = $("#" + id);
                obj.fadeOut(1000 * speed);
                obj.fadeIn(1000 * speed);
                obj.fadeOut(1000 * speed);
                obj.fadeIn(1000 * speed);
                obj.fadeOut(1000 * speed);
                obj.fadeIn(1000 * speed);
                setTimeout(function () {
                    elemobj.remove();
                    UI.unlock();
                    highlighter.clear(2000);
                }, 6000 * speed);
            } else {
                setTimeout(function () {
                    elemobj.remove();
                    UI.unlock();
                    highlighter.clear(2000);
                }, 2000 * speed);
            }            
            elemobj.fadeOut(1000 * speed);
        }, (i + 1) * 2000 * speed);



    },
    animationRemove = function (elem) {
        UI.lock();
        var i = 0;
        var speed = getSpeed();
        var elemobj = $("#" + elem.id);
        var highlighter = new HighlighterAlgoritmo(VK.REMOCAO);
        highlighter.lines(0, 1, 10);
        var temp = collection.ini;
        var ant = null;
        while(temp!==null) {
            var looptime = i*2000 + 1000;
            var pos = {left: parseInt(temp.dados.d.style.left), top: parseInt(temp.dados.d.style.top) - 65};
            Plumb.moveTo(elem.id,pos.left,pos.top,2000*speed);
            if (elem.valor === temp.valor) {
                highlighter.clear(looptime);
                highlighter.lineRed(2,looptime);
                highlighter.line(7,looptime+1000);
                if(ant===null){
                    highlighter.line(9,looptime+2000);
                    highlighter.line(10,looptime+3000);
                } else {
                    highlighter.line(11,looptime+2000);
                    highlighter.lineRed(9,looptime+2000);
                    highlighter.line(12,looptime+3000);
                }
                highlighter.line(13,looptime+4000);
                highlighter.clear(looptime+5000);
                break;
            } else {
                highlighter.line(2,looptime);
                highlighter.line(4,looptime+500);
                highlighter.line(5,looptime+1000);
            }
            i++;
            ant = temp;
            temp = temp.prox;
        }
        
        
        if (temp !== null) {
            if (i === 0) {
                setTimeout(function(){
                    if(collection.ini!==null){
                        setInitial(collection.ini.dados.id,true);
                    }
                },10000*speed);
            }
        } else {
            var looptime = i*2000 + 1000;
            highlighter.clear(looptime);
            highlighter.lineRed(2,looptime);
            highlighter.clear(looptime+500);
            highlighter.lineRed(7,looptime+500);
            highlighter.clear(looptime+1000);
            if(pos!==undefined)
                Plumb.moveTo(elem.id,pos.left + 125,pos.top,2000 * speed);
        }
        setTimeout(function () {
            if (temp!==null) {
                var info = temp.dados;
                var obj = $("#" + info.id);
                obj.fadeOut(1000 * speed);
                obj.fadeIn(1000 * speed);
                obj.fadeOut(1000 * speed);
                obj.fadeIn(1000 * speed);
                obj.fadeOut(1000 * speed);
                setTimeout(function () {
                    disconnectDisc(temp,ant);
                }, 5000 * speed);
            } else {
                setTimeout(function () {
                    UI.unlock();
                    window.Eprogramada.nextQueue();
                }, 2000 * speed);
            }
            elemobj.fadeOut(1000 * speed);

            setTimeout(function () {
                elemobj.remove();
                if (temp!==null) {
                    if(ant!==null && temp.prox===null){
                        setFinal(ant.dados.id,true);
                    }
                    $("#" + temp.dados.id).remove();
                    collection.remove(parseInt(elem.valor));
                }
            }, 6000 * speed);

            if (temp!==null) {
                setTimeout(function () {
                    var leitor = temp.prox;
                    deslocarApartir(leitor,-125,2000*speed);
                    UI.unlock();
                    setTimeout(function () {
                        window.Eprogramada.nextQueue();
                    }, 2000 * speed);
                }, 6300 * speed);
            }
        }, (i + 1.5) * 2000 * speed);

    },
    prepareAnt = function (elId) {
        return Plumb.adicionarPontoDeConexao(elId,{isPrimary:true,isSource:false,isTarget:true,anchor:"Right"});
    },
    prepareProx = function (elId) {
        return Plumb.adicionarPontoDeConexao(elId,{isPrimary:true,isSource:true,isTarget:false,anchor:"Left"});
    },
    connectDisc = function () {

        if (collection.ini.prox!==null) {
            var id1 = collection.ini.dados.id;
            var id2 = collection.ini.prox.dados.id;
            Plumb.conectar(prepareAnt(id1),prepareProx(id2));
        }
    },
    disconnectDisc = function (elem,ant) {
        
        Plumb.desconectarCompletamente(elem.dados.id);
        
        if(ant!==null && elem.prox!==null){
            Plumb.conectar(prepareAnt(ant.dados.id),prepareProx(elem.prox.dados.id));
        }
    },
    createDisc = function (value) {
        var elem = Element.createElement(
            {className:"dinamicDot altColor",
            innerHTML:"<span class='itemValue altColorTitle'>" + value + "</span>",
            left:"100px",
            top:"75px",
            title:value,
            idParent:"main"});
        elem.valor = value;
        return elem;
    };

    window.Cadilag = {
        init: function () {
            Plumb.init(true);
            UI.setProperty("primaryColorProperty",true);
            UI.InitFunctions(this.addDisc,this.removeValue,this.searchValue);
            UI.InitInterface(this.search,this.elementToString);
        },
        
        search: function(){
            var value = UI.value("valor");
            if(value!==""){
                return $(".dinamicDot[title='"+value+"']").length!==0;
            }
            return false;
        },
        
        elementToString: function(id){
            var element = Element.get(id);
            if(element!==undefined){
                var result = {'info':element.valor};
                if (element.prox !== null) {
                    var nextId = (element.prox.dados.id * 1).toString(16).toUpperCase();
                    result.proximo = '*' + (nextId.substring(nextId.length-5));
                } else
                    result.proximo = 'null';
                return result;
            }
            return false;
        },
        
        addDisc: function () {
            if(UI.checkInterface()){
                var value = UI.value("valor");
                if (value !== "") {
                    UI.subtitle("Inserindo o valor <b>"+value+"</b>");
                    var info = createDisc(value);
                    collection.insere(value, info);
                    Plumb.tornarArrastavel(info.id);
                    animationAdd(info.id);
                }
            } else {
                History.rollbackAppendInput();
            }
        },
        removeValue: function () {
            var value = UI.value("valor");
            
            if (value !== "") {
                UI.subtitle("Removendo o valor <b>"+value+"</b>");
                var info = createDisc(value);
                animationRemove(info);
            }

        },
        searchValue: function () {

            var value = UI.value("valor");
            
            if (value !== "") {
                UI.subtitle("Buscando o valor <b>"+value+"</b>");
                var info = createDisc(value);
                animationSearch(info);
            }
        }

    };
})();

