$(".subsidebar").css('transition', 'none');

toggleSidebar = function () {
    
    if ($(".subsidebar").css('left') !== '0px') {
        $(".subsidebar").show();
        $("#searchestrutura").focus();
        $("#huboptions").fadeOut(100);
        $(".subsidebar").animate({'left': '0px'}, 500);
        $("#main").animate({'left': '230px'}, 500);
        $("#canv").animate({'left': '230px'}, 500);
        $("#topbar").animate({'left': '230px'}, 500);
        $("#subtopbar").animate({'left': '250px'}, 500);
        closeTip();
    } else {
        $("#searchestrutura").blur();
        $(".subsidebar").animate({'left': '-270px'}, 500);
        $("#topbar").animate({'left': '0px'}, 500);
        $("#canv").animate({'left': '0px'}, 500);
        $("#main").animate({'left': '0px'}, 500);
        $("#subtopbar").animate({'left': '0px'}, 500);
        setTimeout(function(){
            $(".subsidebar").hide();
        },500);
    }
};

$(".navbar").click(function () {
    toggleSidebar();
});

function replaceSpecialChars(str) {
    str = str.replace(/[àáâãäå]/, "a");
    str = str.replace(/[èéê]/, "e");
    str = str.replace(/[óòôõ]/, "o");
    str = str.replace(/[íìî]/, "i");
    str = str.replace(/[úùû]/, "u");

    return str;
}

$("#searchestrutura").keyup(function () {
    var busca = $(this).val().toLowerCase();
    var comp = busca.length;
    if (comp !== 0) {
        var kout = true;
        $(".estruturas").fadeOut(100, function () {
            $(".selectestrutura").fadeIn(100);
        });
        $(".optionestrutura > a > p").each(function () {
            var parent = $(this).parent().parent();
            var valor = parent.attr('title').toLowerCase();
            
            var tags = parent.attr('tags').toLowerCase().split(',');
            var valororiginal = parent.attr('title');
            valor = replaceSpecialChars(valor);
            if (valor.startsWith(busca)) {
                parent.fadeIn(100);
                $(this).html("<bold>" + valororiginal.substring(0, comp) + "</bold>" + valororiginal.substring(comp, valor.length));
                parent.removeAttr('tag');
                kout = false;
                $("#emptyestrutura").fadeOut(100);
                var id = parent.attr('id');
                $(".optionestrutura#" + id + " .subtag").html('');
            } else if(valor.indexOf(" "+busca)!==-1) {
                var index = valor.indexOf(" "+busca);
                parent.fadeIn(100);
                var before = valororiginal.substring(0,index);
                var after = valororiginal.substring(index+busca.length+1);
                $(this).html(before+"<bold>" + valororiginal.substring(index,index+busca.length+1) + "</bold>" + after);
                parent.removeAttr('tag');
                kout = false;
                $("#emptyestrutura").fadeOut(100);
                var id = parent.attr('id');
                $(".optionestrutura#" + id + " .subtag").html('');
            } else {
                var k = true;
                for (var i = 0; i < tags.length; i++) {

                    if (tags[i].startsWith(busca)) {
                        $(this).html(valororiginal);
                        parent.fadeIn(100);
                        kout = false;
                        var id = parent.attr('id');
                        parent.attr('tag', 'tag');
                        $(".optionestrutura#" + id + " .subtag").html('<p><bold>' + tags[i].substring(0, comp) + '</bold>' + tags[i].substring(comp, tags[i].length) + '</p>');
                        k = false;
                        break;
                    }
                }

                if (k) {
                    parent.fadeOut(100);
                    parent.removeAttr('tag');
                    var id = parent.attr('id');
                    $(".optionestrutura#" + id + " .subtag").html('');

                }
            }
        });
        if (kout)
            $("#emptyestrutura").fadeIn(100);
        else
            $("#emptyestrutura").fadeOut(100);
    } else {
        $(".optionestrutura").fadeOut(100);
        $(".selectestrutura").fadeOut(100, function () {
            $(".estruturas").fadeIn(100);
        });
    }


});

$('.item').click(function () {
    var obj = $(this);
    var next = obj.next('.subitens').eq(0);
    if (obj.next('.subitens').length === 0) {
        var parentnext = obj.parent().next('.item-bg');
        if (parentnext.length !== 0) {
            next = obj.parent().next('.item-bg').eq(0).children('.subitens');
        } else {
            next = obj.parent().next('.subitens').eq(0);
        }
    }
    if (obj.attr('open') === undefined) {
        obj.attr('open', 'open');
        next.attr('open', 'open');
    } else {
        obj.removeAttr('open');
        next.removeAttr('open');
    }
});

