<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'Erro: Sessão fechada';
}
include './config/Database.php';
include './controladores/ControladorUsuario.php';

$email = $_SESSION['email'];

$controlador = new ControladorUsuario();

if (!$controlador->setUser($email)) {
    echo 'Erro: Usuário não encontrado';
    return;
}

if (!isset($_POST['id'])) {
    echo 'Erro: Parametro faltando';
    $id = (int) $_POST['id'];
    return;
}
$id = (int) $_POST['id'];

include './entidades/Arquivo.php';
$arquivo = $controlador->getArquivo($id);

if ($arquivo->getIduser() !== $controlador->getUserId()) {
    echo 'Erro: Tentativa de detetar arquivo de outro usuário';
    return;
}


if ($controlador->deletarArquivo($id)) {
    unlink($arquivo->getCaminho());
}

header('location: ./atividadeview.php?id=' . $arquivo->getIdatividade());
