<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'Erro: Sessão fechada';
}
include './config/Database.php';
include './controladores/ControladorUsuario.php';

$email = $_SESSION['email'];

$controlador = new ControladorUsuario();

if (!$controlador->setUser($email)) {
    echo 'Erro: Usuário não encontrado';
    return;
}

if (!isset($_POST['id']) || !isset($_POST['index'])) {
    echo 'Erro: Parametro faltando';
    $id = (int) $_POST['id'];
    $index = (int) $_POST['index'];
    return;
}
$id = (int) $_POST['id'];
$index = (int) $_POST['index'];




if (!$controlador->ehAluno()) {
    include './entidades/MaterialDidatico.php';
    include './controladores/Professor.php';
    include './controladores/Turma.php';
    $professor = $controlador->getProfessor();
    $turma = $professor->getTurmaByIndex($index);
    if ($turma === null) {
        echo 'Turma não encontrada';
        return;
    }

    $material = $turma->getMaterial($id);

    if ($material === null) {
        echo 'Erro: Tentativa de detetar arquivo de outro usuário';
        return;
    }


    if ($turma->deletarMaterial($id)) {
        unlink($material->getCaminho());
    }

    header('location: ./materiaisdidaticosedit.php?index=' . $index);
} else {
    echo 'Usuário não é um Professor';
}