
<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'erro: sessão fechada';
    return;
}
include './config/Database.php';
include './controladores/ControladorUsuario.php';
include './controladores/Professor.php';
include './controladores/Turma.php';
$email = $_SESSION['email'];

$controlador = new ControladorUsuario();
if (!$controlador->setUser($email)) {
    echo 'erro: usuário não encontrado';
    return;
}

if (!$controlador->ehAluno()) {
    $controlador = $controlador->getProfessor();


    if (!isset($_POST['texto']) || !isset($_POST['titulo']) || !isset($_POST['dia']) || !isset($_POST['mes']) || !isset($_POST['ano']) || !isset($_POST['index'])) {
        echo 'erro: alguns dos parametros não encontrado';
        $texto = $_POST['texto'];
        $titulo = $_POST['titulo'];
        $dia = $_POST['dia'];
        $mes = $_POST['mes'];
        $ano = $_POST['ano'];
        $index = (int) $_POST['index'];
        return;
    }



    $texto = preg_replace("/<([a-z][a-z0-9]*)[^>]*?(\/?)>/i", '<$1$2>', strip_tags($_POST['texto'], '<b><i><big><small><center><h1><h2><h3><h4><h5><h6>'));
    $titulo = strip_tags($_POST['titulo']);
    $dia = $_POST['dia'];
    $mes = $_POST['mes'];
    $ano = $_POST['ano'];
    $data = $ano . "-" . $mes . "-" . $dia;

    $index = (int) $_POST['index'];
    $turma = $controlador->getTurmaByIndex($index);
    $result = $turma->novaAtividade($titulo, $texto, $data);
    if (!$result) {
        echo 'erro no banco';
        return;
    }

    header('location: ./atividadeview.php?index=' . $index . '&id=' . $result);
} else {
    echo 'Erro: O usuário não é um professor';
}