
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title></title>
    </head>
    <body>
        <?php
        session_start();
        if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
            echo 'erro: sessão fechada';
            return;
        }
        include './config/Database.php';
        include './controladores/ControladorUsuario.php';
        include './controladores/Professor.php';
        $email = $_SESSION['email'];

        $controlador = new ControladorUsuario();
        if (!$controlador->setUser($email)) {
            echo 'erro: usuário não encontrado';
            return;
        }

        if (!$controlador->ehAluno()) {
            $controlador = $controlador->getProfessor();


            if (!isset($_POST['id']) || !isset($_POST['resposta']) || !isset($_POST['index'])) {
                echo 'erro: alguns dos parametros não encontrado';
                $a = $_POST['id'];
                $b = $_POST['resposta'];
                $c = $_POST['index'];
                return;
            }

            $id = (int) $_POST['id'];
            $resposta = (boolean) $_POST['resposta'];
            $index = $_POST['index'];


            if (!$controlador->responderSolicitacao($id, $resposta)) {
                echo 'erro no banco';
                return;
            }

            echo '<form action="./solicitacoes.php" method="GET" id="return"><input type="hidden" name="index" value="' . $index . '"></input></form>';
        } else {
            echo 'erro: usuário não é um professor';
        }
        ?>
        <script>

            if ('1' === '<?php echo '1' ?>')
            {
                document.getElementById("return").submit();
            }

        </script>
    </body>
</html>
