<?php

session_start();
if (!isset($_SESSION['email']) || !isset($_SESSION['senha'])) {
    echo 'erro: sessão fechada';
    return;
}

include './config/Database.php';
include './controladores/ControladorUsuario.php';
include './controladores/Professor.php';
include './controladores/Turma.php';

$email = $_SESSION['email'];
$sennha = $_SESSION['senha'];
$controlador = new ControladorUsuario();
$controlador->setUser($email);

if (!$controlador->ehAluno()) {
    $controlador = $controlador->getProfessor();
    if ($controlador->possuiAcesso()) {
        $ano = (int) $_POST['ano'];
        $semestre = (int) $_POST['semestre'];
        $iddisciplina = (int) $_POST['iddisciplina'];

        $index = count($controlador->getTurmas());

        $controlador->novaTurma($ano, $semestre, $iddisciplina);


        header("Location: classedit.php?index=" . $index);
    } else {
        echo 'erro: usuário professor sem acesso confirmado';
        return;
    }
} else {
    echo 'erro: usuário não tem nível de acesso';
}